<?php

namespace App\Http\Middleware;

use App\Providers\RouteServiceProvider;
use Closure;
use Illuminate\Support\Facades\Auth;

class RedirectIfAuthenticated
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @param  string|null  $guard
     * @return mixed
     */
    public function handle($request, Closure $next, $guard = null)
    {
        if (Auth::guard($guard)->check()) {
            //Add check if account is owner or player, redirect to club page or player page based on that
            //return redirect(RouteServiceProvider::HOME);
            if(Auth::user()->hasRole('admin')){
                return redirect('/admin/home');
            }
            else{
                return redirect('/player/home');
            }
        }

        return $next($request);
    }
}
